#ifndef DLGEPAUSGEBEN_H
#define DLGEPAUSGEBEN_H

#include <QDialog>
#include "ui_dlgepausgeben.h"
#include "figur.h"

class DlgEPausgeben : public QDialog, public Ui::DlgEPausgeben
{
    Q_OBJECT

public:
    DlgEPausgeben(Figur* f, LernstoffTypen lt, QWidget *parent = 0);

public slots:
    void on_lernen_clicked();
    void on_fertigkeiten_itemSelectionChanged();
    void on_fertigkeiten_doubleClicked();
    void on_spruchrolle_stateChanged(int on);

private:
    void addRow(QTreeWidget* tw, const Lernstoff *l, const QString& EW);
    void setList();

    LernstoffTypen      lernTyp;
    Figur*              figur;
};

#endif // DLGEPAUSGEBEN_H
