#ifndef NEU2TYP_H
#define NEU2TYP_H

#include <QWizardPage>
#include "ui_neu2typ.h"
#include "boegen.h"

class Neu2Typ : public QWizardPage, public Ui::Neu2Typ
{
    Q_OBJECT

public:
    Neu2Typ(QWidget *parent = 0);

    void initializePage();
    bool validatePage();

private:
    Bogen*      fw;

private slots:
    void on_reroll_clicked();
    void on_gewicht_textChanged();
    void on_groesse_textChanged();
    void on_ausstrahlung_textChanged();

};

#endif // NEU2TYP_H
