#ifndef NEU4BERUF_H
#define NEU4BERUF_H

#include <QWizardPage>
#include "ui_neu4beruf.h"
#include "boegen.h"

class Neu4Beruf : public QWizardPage, public Ui::Neu4Beruf
{
    Q_OBJECT

public:
    Neu4Beruf(const LernList& angeborenList, QWidget *parent = 0);
    ~Neu4Beruf();

    void initializePage();
    bool validatePage();

private:
    void rollAngeboren();

    Bogen*      fw;
    LernList    angeborenList;      // Liste mit allen angeborenen Fertigkeiten (manche doppelt)

private slots:
    void on_angeboren_currentIndexChanged(int index );
    void on_reroll_clicked();
};

#endif // NEU4BERUF_H
