#ifndef DLGDINGEDB_H
#define DLGDINGEDB_H

#include <QDialog>
#include "ui_dlgdingedb.h"
#include "ding.h"

class DlgDingeDb : public QDialog, public Ui::DlgDingeDb
{
    Q_OBJECT

public:
    DlgDingeDb(QWidget *parent = 0);

    void addDing(const Ding* d);
    void getDinge();
    void accept();

public slots:
    void on_addItem_clicked();
    void on_addGroup_clicked();
//    void on_remove_clicked();
    void on_sortGroups_clicked();
};

#endif // DLGDINGEDB_H
