#ifndef DLGDINGEFIGUR_H
#define DLGDINGEFIGUR_H

#include <QComboBox>
#include "ui_dlgdingefigur.h"
#include "figur.h"

class DlgDingeFigur : public QDialog, public Ui::DlgDingeFigur {
    Q_OBJECT
public:
    DlgDingeFigur(Figur* figur, QWidget *parent = 0);

    void accept();

public slots:
    void on_add_clicked();
    void on_remove_clicked();
    void on_removeAll_clicked();

private:
    Figur*  m_figur;

    QComboBox* newCombo(const QStringList init, const QString act);
    void setDing(const int row, Ding& d);
    Ding* getDing(int row) const;
};

#endif // DLGDINGEFIGUR_H
