#ifndef DLGEPMIX_H
#define DLGEPMIX_H

#include <QDialog>
#include "ui_dlgepmix.h"
#include "figur.h"

class DlgEPmix : public QDialog, public Ui::DlgEPmix
{
    Q_OBJECT

public:
    DlgEPmix(const Lernstoff* ls, Figur* f, QWidget *parent = 0);

public slots:
    void on_sliderEP_valueChanged(int val);
    void on_sliderPP_valueChanged(int val);
    void on_sliderGeld_valueChanged(int val);

private:
    void setValues();
    void setSlider(QSlider* slider, int val);

    const Lernstoff*    l;
    const Figur*        figur;

    int                 geldEPfaktor;
    bool                changingSliders;
};

#endif // DLGEPMIX_H
