#ifndef NEU5FERTIGKEITEN_H
#define NEU5FERTIGKEITEN_H

#include <QWizardPage>
#include "ui_neu5fertigkeiten.h"
#include "neuwizard.h"
#include "boegen.h"

class Neu5Fertigkeiten : public QWizardPage, public Ui::Neu5Fertigkeiten
{
    Q_OBJECT

public:
    Neu5Fertigkeiten(const Assoc& a, QWidget *parent = 0);
    ~Neu5Fertigkeiten();

    void initializePage();
    bool validatePage();

private:
    void setLernbar(int lernpunkte);    // ListWidget mit den lernbaren Stoffen neu fuellen
    void checkGelernt();                // pruefen ob wir alle Eintraege in gelernt auch wirklich noch koennen

    Bogen*          fw;
    QStringList     known;              // vorher bekannte (nicht vergessbare) Lernstoffe dieser Gruppe
    Assoc           gruppe;             // Stoffgruppe welche in diesem Widget dargestellt wird
   
private slots:
    void on_lerne_clicked();
    void on_vergesse_clicked();
};

#endif // NEU5FERTIGKEITEN_H
